Understanding Society User Support - Support #1430

Wave 10 release
10/22/2020 09:57 AM - Emily Harris

Status: Resolved Start date: 10/22/2020
Priority: Normal % Done: 100%
Assignee:

Category:

Description
Hi,

On the website it says wave 10 of USoc is likely to be released in November 2020. | was wondering if you were on track to release in
November or will that perhaps be delayed because of COVID constraints?

Best
Emily

History

#1 - 10/22/2020 10:16 AM - Alita Nandi
- Status changed from New to Feedback

- % Done changed from 0 to 80

We are on track to have this data released in November.
Best wishes,
Understanding Society User Support

#2 - 10/13/2021 10:53 AM - Understanding Society User Support Team
- Status changed from Feedback to Resolved
- % Done changed from 80 to 100

- Private changed from Yes to No
